# KeyHelperTests Methods




## Methods
<table>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)" target="_blank" rel="noopener noreferrer">Equals</a></td>
<td>Determines whether the specified object is equal to the current object.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.finalize" target="_blank" rel="noopener noreferrer">Finalize</a></td>
<td>Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_GenerateKey_ReturnsNonEmptyString.md">GenerateKey_ReturnsNonEmptyString</a></td>
<td> </td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_GenerateKey_WithCustomSaltSizeAndParts_FormatsCorrectly.md">GenerateKey_WithCustomSaltSizeAndParts_FormatsCorrectly</a></td>
<td> </td></tr>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.gethashcode" target="_blank" rel="noopener noreferrer">GetHashCode</a></td>
<td>Serves as the default hash function.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_GetMasterKey_ThrowsException_WhenAccessorNotSet.md">GetMasterKey_ThrowsException_WhenAccessorNotSet</a></td>
<td> </td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_GetNumParts_ThrowsException_WhenLessThanTwo.md">GetNumParts_ThrowsException_WhenLessThanTwo</a></td>
<td> </td></tr>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.gettype" target="_blank" rel="noopener noreferrer">GetType</a></td>
<td>Gets the <a href="https://learn.microsoft.com/dotnet/api/system.type" target="_blank" rel="noopener noreferrer">Type</a> of the current instance.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone" target="_blank" rel="noopener noreferrer">MemberwiseClone</a></td>
<td>Creates a shallow copy of the current <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_Setup.md">Setup</a></td>
<td> </td></tr>
<tr>
<td><a href="https://learn.microsoft.com/dotnet/api/system.object.tostring" target="_blank" rel="noopener noreferrer">ToString</a></td>
<td>Returns a string that represents the current object.<br />(Inherited from <a href="https://learn.microsoft.com/dotnet/api/system.object" target="_blank" rel="noopener noreferrer">Object</a>)</td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_ValidateKey_ReturnsFalseForAlteredKey.md">ValidateKey_ReturnsFalseForAlteredKey</a></td>
<td> </td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_ValidateKey_ReturnsFalseForEmptyOrNullKey.md">ValidateKey_ReturnsFalseForEmptyOrNullKey</a></td>
<td> </td></tr>
<tr>
<td><a href="M_Tests_Helpers_KeyHelperTests_ValidateKey_ReturnsTrueForValidKey.md">ValidateKey_ReturnsTrueForValidKey</a></td>
<td> </td></tr>
</table>

## Extension Methods
<table>
<tr>
<td><a href="M_CapyKit_Extensions_ObjectExtensions_UpdateProperties.md">UpdateProperties</a></td>
<td>An object extension method that updates the properties of a given <em>target</em> object with the values from a given <em>source</em> object.<br />(Defined by <a href="T_CapyKit_Extensions_ObjectExtensions.md">ObjectExtensions</a>)</td></tr>
</table>

## See Also


#### Reference
<a href="T_Tests_Helpers_KeyHelperTests.md">KeyHelperTests Class</a>  
<a href="N_Tests_Helpers.md">Tests.Helpers Namespace</a>  
